<div class="d-flex justify-content-end">
  <a class="navegacion" routerLink="./registro">Nueva versión taquigráfica</a>
</div>
<div class="busqueda">
  <div class="head-busqueda">
    <p>Parámetros de búsqueda</p>
  </div>
  <form (ngSubmit)="searchFilter()">
    <div class="form-row p-3">
      <div class="col-4">
        <label for="">Fecha de la sesión:</label>
        <p-calendar styleClass="w-100" name="sesion" [showIcon]="true" placeholder="Ingrese la fecha de la sesión"
          [yearNavigator]="true" [monthNavigator]="true" yearRange="1800:2030" dataType="string" dateFormat="dd-mm-yy"
          [(ngModel)]="filterVTaq.fechaSesion">
        </p-calendar>
        <i *ngIf="filterVTaq.fechaSesion" class="pi pi-times clear-autocomplete"
          (click)="filterVTaq.fechaSesion = ''"></i>
      </div>
      <div class="col-4 relative">
        <label for="">Asunto abordado:</label>
        <p-dropdown emptyFilterMessage="No se encontraron resultados" [options]="catalogos.asuntoAbordado" optionLabel="nombre" [filter]="true" filterBy="nombre"
          optionValue="nombre" styleClass="w-100" name="asunto" placeholder="Ingrese el asunto abordado"
          [(ngModel)]="filterVTaq.asuntoAbordado" [showClear]="true" styleClass="w-100"></p-dropdown>
      </div>
      <div class="col-4">
        <label for="">Número de expediente:</label>
        <input type="text" class="form-control" placeholder="Ingrese el número de expediente"
          [(ngModel)]="filterVTaq.numeroExpediente" (input)="validCamp('num')" name="expediente">
        <p class="not-valid" *ngIf="validExpediente">No es un número de expediente válido.</p>
        <i *ngIf="filterVTaq.numeroExpediente" class="pi pi-times clear-autocomplete"
          (click)="filterVTaq.numeroExpediente = '';validExpediente = false"></i>
      </div>
      <div class="col-12">
        <div class="d-flex justify-content-between">
          <div class="d-block">
            <div class="d-flex flex-row justify-content-center align-items-center" *ngIf="isFilter">
              <p class="mr-2">Se encontraron ({{taquigraficas.totalElements}}) resultado(s)</p>
              <p-button icon="pi pi-replay" pTooltip="Limpiar filtros" styleClass="p-button-sm"
                (onClick)="clearFilter()"></p-button>
            </div>
            <div class="d-flex flex-row justify-content-center align-items-center" *ngIf="!isFilter">
              <span *ngIf="taquigraficas.content.length == 0">0 resultado(s)</span>
              <p *ngIf="taquigraficas.content.length > 0" class="mr-2">{{(taquigraficas.number*taquigraficas.size)+1}} a
                {{calculateSizePage()}} de {{taquigraficas.totalElements}} resultado(s)</p>
            </div>
          </div>
          <p-button label="Buscar" icon="pi pi-search" styleClass="p-button-sm" type="submit"
            [disabled]="!filterVTaq.numeroExpediente && !filterVTaq.asuntoAbordado && !filterVTaq.fechaSesion">
          </p-button>
        </div>
      </div>
    </div>
  </form>
</div>
<div class="d-flex justify-content-end align-items-center pb-3">
  <span class="mr-2">Mostrar: </span>
  <p-dropdown [options]="[{size:10},{size:20},{size:30},{size:50},{size:100}]" optionLabel="size" optionValue="size"
    [(ngModel)]="size" (onChange)="onChangeSize($event)"></p-dropdown>
</div>
<p-table [value]="taquigraficas.content" [scrollable]="true" scrollHeight="400px" scrollDirection="both">
  <ng-template pTemplate="header">
    <tr>
      <th style="width:150px">Fecha de la sesión</th>
      <th style="width:150px">Duración de la sesión</th>
      <th style="width:100px">Núm. Asuntos</th>
      <th style="width:200px">Asuntos</th>
      <th style="width:200px;">Registro %</th>
      <th style="width:150px"></th>
    </tr>
  </ng-template>
  <ng-template pTemplate="body" let-v>
    <tr>
      <td style="width:150px" class="text-center">{{v.fechaSesion}}</td>
      <td style="width:150px" class="text-center">{{v.duracionSesion}}</td>
      <td style="width:100px" class="text-center">{{v.asuntos.length}}</td>
      <td style="width:200px" class="text-center">
        <div class="list-asuntos">
          <p class="ml-2" *ngFor="let asunto of v.asuntos"
            [pTooltip]="asunto.tipoAsunto.toUpperCase()+' '+asunto.numeroExpediente" tooltipPosition="left">
            {{ asunto | convertAsunto}}
          </p>
        </div>
      </td>
      <td style="width:200px;" class="text-center px-5">
        <div>
          {{ v.porcentaje }}%
        </div>
        <div class="percent" [style.width]="v.porcentaje+'%'" [ngClass]="{
          'incomplet': v.porcentaje >= 51 && v.porcentaje <= 79,
          'complet': v.porcentaje >= 80 && v.porcentaje <= 100,
          'insuficient': v.porcentaje >= 0 && v.porcentaje <= 50
        }"></div>
      </td>
      <td style="width:150px">
        <div class="d-flex align-items-center justify-content-center" style="gap: 10px">
          <i class="pi pi-trash" (click)="deleteVersionTaquigrafica($event,v)"></i>
          <a [routerLink]="['edicion',v.id]"><i class="pi pi-pencil"></i></a>
          <a [routerLink]="['edicion',v.id]" [queryParams]="{visualizar: true}"><i class="pi pi-eye"></i></a>
        </div>
      </td>
    </tr>
  </ng-template>
</p-table>
<div class="d-flex justify-content-center align-items-center">
  <ngb-pagination [collectionSize]="taquigraficas.totalElements" [pageSize]="taquigraficas.size" [boundaryLinks]="true"
    [maxSize]="4" (pageChange)="onPageChange($event)" [page]="taquigraficas.number + 1"></ngb-pagination>
</div>
<p-confirmPopup></p-confirmPopup>
